classification
Title: [3.4] cherrypick 5dec1604322c: old sys.path_hooks importer does not work with Python 3.4.0rc1
Type: Stage:
Components: Interpreter Core Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: 20763 Superseder:
Assigned To: larry Nosy List: brett.cannon, larry, vstinner
Priority: release blocker Keywords:

Created on 2014-02-26 23:28 by brett.cannon, last changed 2014-03-06 17:41 by larry. This issue is now closed.

Messages (3)
msg212326 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2014-02-26 23:28
changeset 89406:5dec1604322c tip



Issue #20763: Fix importlib.machinery.PathFinder to support
PathEntryFinder instances which only define find_module().

Reported by Yukihiro Nakadaira. [#20763]
author	Brett Cannon <brett@python.org>
date	Wed, 26 Feb 2014 18:26:49 -0500 (19 seconds ago)
parents	1a38fa1f701d
children	
files	Lib/importlib/_bootstrap.py Lib/test/test_importlib/import_/test_path.py Python/importlib.h
diffstat	 3 files changed, 26 insertions(+), 2 deletions(-) [+]


Left out Misc/NEWS to prevent bad merging into 3.4.0final.
msg212701 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-03-04 10:25
It's a regression compared to 3.3, so it looks important to fix it in Python 3.4(.0).
msg212830 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2014-03-06 17:41
ok.
History
Date User Action Args
2014-03-06 17:41:15larrysetstatus: open -> closed
resolution: fixed
messages: + msg212830
2014-03-04 10:25:16vstinnersetnosy: + vstinner
messages: + msg212701
2014-03-04 10:24:27vstinnersettitle: [3.4] cherrypick 5dec1604322c -> [3.4] cherrypick 5dec1604322c: old sys.path_hooks importer does not work with Python 3.4.0rc1
2014-02-26 23:28:44brett.cannonsetdependencies: + old sys.path_hooks importer does not work with Python 3.4.0rc1
2014-02-26 23:28:40brett.cannoncreate